using System;
using NinjaTrader.Cbi;

internal sealed class Delegate402 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate402 delegate402_1)
	{
		return delegate402_1(object_0);
	}

	public extern Delegate402(object object_0, IntPtr intptr_0);

	static Delegate402()
	{
		Class10.smethod_13(typeof(Delegate402).TypeHandle);
	}

	internal static Delegate402 delegate402_0;
}
